Questions tagged [installation]

Tag a question "installation" if you are having trouble completing the initial installation of CiviCRM on Drupal, Joomla, or WordPress. If you encounter problems while using the system, use tags that are more specific to the features affected.

Filter by
Sorted by
Tagged with
0
votes
0answers
21 views

Failed clean installation

I have read related topics but could not find any real help there, except that the same error message was issued on other occasions. I'm trying to install 5.43.2 on WP on a cloudways brand new site. ...
0
votes
0answers
29 views

Failed to open stream: No such file or directory during installation

Unable to complete a upload zip file installation of CiviCRM 5.42.1 on Wordpress 5.8.1, I used the File Explorer plugin to get the unzipped files into /wp-content/plugins/CiviCRM. However after ...
1
vote
1answer
10 views

How does drush:site-install recognize a previous civi installation?

While trying to set up an install script for a composer drupal/civi template, I try to rerun the install process several times. CiviCRM refuses to do that, saying civicrm appears to have already been ...
0
votes
1answer
26 views

Installing on Drupal 9 - compilation failures and resource url problems (may be related)

I got D9 installed, then set about installing Civi with composer.phar require -W civicrm/civicrm-{core,packages,drupal-8}:'=5.36' (I want to use 5.36, if possible) Things seemed to go OK except the ...
1
vote
1answer
9 views

Call to undefined function simplexml_load_string()

I have activated my civicrm 5.41.0 but while about to install it, the debug give a fatal error: Uncaught Error: Call to undefined function simplexml_load_string() in /var/www/wordpress1/wp-content/...
2
votes
1answer
59 views

Drupal 9 - CiviCRM Compilation Error

I've installed Drupal 9.2.5 using Composer (version 2.1.8). I am trying to install CiviCRM 5.41.0. I followed the steps in the CiviCRM instructions for installation on Drupal 8/9 using Composer. The ...
0
votes
0answers
25 views

Install error on Wordpress with Smarty.class.php

I have installed CIVI-5.41.0 for WordPress version 5.8.1, updated all the permission as well as php version 8 but still keep getting this error. Warning: Smarty error: problem creating directory 'D:/...
1
vote
1answer
23 views

Civicrm separate database login syntax

I am installing Civi on localhhost. I want to set up a database separate to Wordpress. I am using these credentials: mysql://root:HIDDEN@localhost/cividata. The database username is root, without a ...
0
votes
0answers
21 views

"CiviCRM Installed" screen lies

CiviCRM 5.40.1 isn't really installed it seems. Or at least not fully. Or maybe I'm an idiot. I'm logged in as an Administrator. The 'review these permissions' link sends me to the Persons page which ...
2
votes
0answers
21 views

Remove sample data from installation

I've searched for the answer to this and haven't found it. I'm setting up a brand-new installation of CiviCRM into Wordpress. When installing, I chose to upload all of the sample data. Now that I'm ...
0
votes
1answer
16 views

How to change TO option in Outgoing email setup

Newbie here. I've just installed CiviCRM in a Wordpress site and am currently configuring. When setting up the outbound email, it propagates this "TO" address. This address doesn't exist and ...
0
votes
0answers
10 views

Default URL settings wrong when using 'cv core:install'?

I have tried to create a clean setup using cv core:install. The setup did not work properly due to the following: The 'CIVICRM_UF_BASEURL' variable did not end with a slash, although the comments ...
1
vote
0answers
25 views

No admin page for civiCRM on Drupal 8 install (Xampp on Windows 10)

Sorry if my English contains mistakes. I just installed Drupal 8 on Xampp (Windows 10 latest version) with Composer and Drush. I then used the following commands for civiCRM: cd /c/xampp/htdocs/site/...
2
votes
3answers
84 views

Error after fresh installation

CiviCRM first-time user here, trying to install on a system with the following specs: Host: Hostgator shared hosting CMS: WordPress 5.7.2 Database client version: libmysql - 5.6.43 PHP version: 7.3....
1
vote
0answers
22 views

Can't connect to separate database

Trying a new install of CiviCRM 5.3.9 using a separate Wordpress database. Wordpress, MySQL and PHP are confirmed required versions. Path is definitely correct using mysql://USER:PASSWORD@localhost:...
0
votes
1answer
35 views

CiviCRM database upgrade

I have a Joomla! CiviCRM installation (civi version 5.10.4). This has some functionality issues (reports do not work correctly). I no longer need Joomla! so is there a route to install latest CiviCRM ...
2
votes
2answers
34 views

Local install guidance

I'm of the "host or you're toast" philosophy so I'm trying to get a working instance of CiviCRM on either a virtual Ubuntu 20.04 instance on a local qemu/kvm server or personal laptop. Usual ...
0
votes
0answers
14 views

Error 503, CiviCRM 5.32.2 on Joomla 3.9.27 & PHP 7.3.27

Error 503, CiviCRM 5.32.2 on Joomla 3.9.27 & PHP 7.3.27 Hello, After successfully installing CiviCRM on a local test environment, I am trying to install CiviCRM on my hosted production Joomla ...
0
votes
1answer
57 views

WordPress WSOD When Activating CiviCRM 5.37.2

I am attempting to activate the CiviCRM 5.37.2 plugin on WordPress 5.7.2 after editing the MySQL connection string. After saving the connection string, I briefly get the CiviCRM "Success" ...
0
votes
1answer
48 views

Corrupt installation during upgrade to 5.37.2 on Joomla 3.9.26

I have run into some trouble trying to upgrade from and old version of Civi to version 5.37.2 on Joomla 3.9.26 running on PHP 7.3.27 and MySql 5.7.32-35. The initial problem was that I could not get ...
1
vote
1answer
83 views

Drupal 8/9 Compilation Install Error

I'm getting thiis error, when I try to install civicrm on Drupal 8 and 9 The following packages have new compilation tasks: civicrm/composer-compile-lib has 1 task civicrm/civicrm-core has 1 task ...
0
votes
0answers
34 views

New install of Wordpress and civiCRM failed to open stream template_c / civi 5.37.0 on Synology NAS DS720+

I tried at least 5 times complete new installation on my Synology NAS, I always end up with the same errors. In Wordpress on the CiviCRM Tab it shows these errors: Please can someone help me. Warning: ...
2
votes
1answer
33 views

FAIL : first and fresh install of CiviCRM 5.36.1 on BACKDROP 1.83

my first test of Backdrop 1.83 with CiviCRM 5.36.1 via MAMP 6.3 PHP 7.4.12) failed backdrop installed correctly civicrm installed correctly, no error but when i try to reach the civicrm dashboard: ...
0
votes
0answers
27 views

Re-Instalation Error

I'm having trouble re-installing CiviCRM 5.31. on Wordpress, hosted on Ubuntu 20. I needed to uninstall an earlier version, and I now want to install the latest version. When I activate the plugin I ...
0
votes
1answer
64 views

Cannot install on live Joomla site

Have attempted many times to install 5.35.1 or later 5.36.0 on live Joomla site. Find little info anywhere. Must not be many Joomla installations. Followed instructions explicitly and kept getting php ...
2
votes
2answers
123 views

Problem local drupal 8/9 install civicrm: folder is not writable (on Windows)

I am a volunteer from a non-profit organization that has problems with the installation of civicrm. We already have civicrm in worpress on an Aruba host (and it works), but we wanted to move to drupal....
0
votes
1answer
51 views

What can I do about this error after attempting to install CiviCRM on a Wordpress site: Table 'myprefix_civicrm.civicrm_setting' doesn't exist

My attempt to install CiviCRM on a WordPress site (in a separate database) failed after creating only one table in the database. I didn't record the error, thinking I could just delete the database ...
1
vote
1answer
30 views

CiviCRM WordPress uninstall - db issue

Uninstall CiviCRM from WordPress, is creating me a big issue. I needed to uninstall CiviCRM (5.31.1) from a production site, saving all theme and others settings. CiviCRM went away without uninstall ...
1
vote
1answer
36 views

Keep getting this error on Composer require

I'm using the current instructions to get the current version of CiviCRM for Drupal 8 [play@ceres web]$ composer require civicrm/civicrm-{core,packages,drupal-8}:'~5.35' It keeps giving me this error ...
2
votes
1answer
44 views

Installation on local wordpress server

I'm trying to run CiviCRM v.5.34.0 with Wordpress v.5.6.1 on a local server. Unfortunately the installation of CiviCRM crashes with the following error: Fatal error: Uncaught Civi\Setup\Exception\...
1
vote
0answers
32 views

Installing Civi onto WordPress under Local does not work due to XML path errors

Civi used to work under Local (née Local by Flywheel) on Windows, but I can't get it to install under the latest version. The Civi installer can't parse the schema xml files due to a path error. What ...
4
votes
1answer
43 views

Time estimate for setting up CiviCRM?

I volunteer with a small non-profit and we recently decided to create a new CRM using CiviCRM. I am a complete novice with this and am learning it all from scratch - really appreciating the community ...
1
vote
0answers
31 views

Is it possible to copy the "structure" from one CiviCRM install to another without copying data?

We are testing in a locally hosted config (easy to rollback if something goes wrong, thank you VirtualBOX!) and I am wondering if it is possible to copy the config from the local install to our hosted ...
0
votes
1answer
72 views

How can I find out what the problem is with my failing CiviCRM installation in WordPress?

I am attempting to install CiviCRM 5.33.1 on a fresh WordPress 5.6 install. Installation and activation go fine, and I get to the installer page at /wp-admin/options-general.php?page=civicrm-install. ...
1
vote
1answer
280 views

Installs fails with Error Database does not support creation of triggers - User has TRIGGER privilege

MySQL 8.0.22-0ubuntu0.20.04.3 (Ubuntu) WordPress 5.6 CiviCRM 5.32.2 Attempting a fresh install of WP and CiviCRM on a clean AWS site as upgrading CiviCRM was continually failing I get this error: ...
1
vote
1answer
61 views

Installing CIVICRM ver. 5.32.2 on Joomla

I am having trouble installing CIVICRM on my Joomla powered domain. Here is my environment: System Information PHP Built On: Linux a2plcpnl0712.prod.iad2.secureserver.net 2.6.32-954.3.5.lve1.4.80....
1
vote
2answers
61 views

Can't Install CiviCRM on Joomla! 3.9.23 mod_fcgid error

CiviCRM 5.32.2 Joomla! 3.9.23 Mysql 5.7.23 PHP 7.3.24 PHP Extensions installed PHP BCMath PHP Curl PHP DOM XML PHP Multibyte PHP Zip PHP INTL PHP SOAP PHP Configuration - Set memory_limit to ...
0
votes
1answer
66 views

What has happened to totten/lurkerlite?

Problem 1 Installing CiviCRM using Composer has started giving these errors: - Root composer.json requires civicrm/composer-compile-plugin ^0.14.0 -> satisfiable by civicrm/composer-compile-...
1
vote
1answer
46 views

How do I access drush commands specific to CiviCRM?

I have installed CiviCRM 5.31 on Drupal 8 with the following set of commands according to the official Drupal and CiviCRM documentation: cd /var/www composer create-project drupal/recommended-project:...
0
votes
1answer
23 views

Problems installing CiviCRM under Drupal 7 on Windows?

I have just tried installing CiviCRM 5.30.1 using Drupal 7 under WIMP, i.e. Windows, IIS, MySQL and PHP 7.4, and was unable to do so, as I got a message telling me that \sites\default was not writable....
1
vote
1answer
179 views

What does it mean to "configure your MySQL server for utf8mb4 support" when my database charset and collation are already utf8mb4?

I am about to run the CiviCRM installer, but I get the following warning: CiviCRM MySQL utf8mb4 Support: It is recommended, though not yet required, to configure your MySQL server for utf8mb4 support. ...
2
votes
1answer
37 views

Wordpress Installation Bug?

Anyone has experience installing CiviCRM in Wordpress? I tried to follow the installation guide but I come with this problem, Google doesn't offer much help. It comes with an error in the database ...
0
votes
1answer
103 views

cannot access /wp-admin/options-general.php?page=civicrm-install after installing 5.28.3

I have found it impossible to upgrade from CiviCRM 5.25 to 5.28 to get around the breakage caused by the WP upgrade from 5.4 to 5.5 My attempted solution has been to make a staging site, completely ...
1
vote
1answer
29 views

Installing CivicRM

I have installed CivicRM in Wordpress but there is no menu or dashboard. All I see is the attached. What have I done wrong? Thanks Paula
0
votes
0answers
65 views

Unable to extract civicrm zip file in file manager

I tried to follow the civicrm install guide for wordpress (https://docs.civicrm.org/sysadmin/en/latest/install/wordpress/). I am stuck after copying the civicrm-5.28.0-wordpress.zip file into the file ...
2
votes
1answer
51 views

New Install "MYSql Server Has Gone Away"

Good evening, I'm new here and trying to get CiviCRM installed for the first time (volunteer sysadmin for a non-profit). I think I have gone through all of the steps to troubleshoot but I suspect I am ...
1
vote
3answers
34 views

Clean install on WordPress and blank dashboard

After install on WordPress I am getting a blank dashboard and the "configure dashboard" button doesn't do anything. I tried deactivating all plugins except CiviCRM, that made no different. ...
1
vote
0answers
68 views

CiviCRM installation (Backdrop) incomplete

Backdrop CMS: 1.16.1 CiviCRM: 5.25.0 php 7.3.17 Shared host (Civihosting) Following installation of CiviCRM on fresh install of Backdrop, I started the CiviCRM configuration process, but was unable ...
3
votes
1answer
30 views

Why settings.default.json file is neglected during install?

Since CiviCRM 5.23, one can set a custom L10n/I18n resource directory. Using this feature with Aegir and Drupal 7 profiles, this setting almost works: CiviCRM sites install with selected language, ...
2
votes
1answer
85 views

When reinstalling CiviCRM, it will not allow connection to a database with preexisting data

I am reinstalling CiviCRM on Wordpress after Civi quit quit working. I deleted the folder civicrm in /plugins and also in /uploads. This allowed me to upload the new plugin version of Civi and took ...

1
2 3 4 5 6